Subject: Re: CCL:Computational Chemistry on SUN Sparc Systems ...

From: [email-masked] (David J. States)
Date: Wed, 3 May 1995 10:08:02 -0500

|> From [email-masked] Tue May  2 19:36 CDT 1995
|> Date: Tue, 2 May 1995 16:43:37 -0500
|> To: [email-masked]
|> Subject: CCL:Computational Chemistry on SUN Sparc Systems ...
|> Sender: Computational Chemistry List <[email-masked]>
|> 
|> 
|> To the CCL oracle:
|> 
|> While SUN dominates the workstation market in overall number
|> of units sold, its impact in the computational chemistry 
|> submarket is, to the best of my knowlegde, very limited. What 
|> is its real presence here (magnitude)? In what direction is
|> it moving? Limited applications supported and the connection 
|> of chemistry applications often to GL graphics are must be 
|> among the rate limiting factors. How severe are these? What are 
|> the other factors? 
|> 
|> Your reflections would be of interest ...
|> 
|> 
|> Sincerely,
|> 
|> 
|> Richard Walsh
|> Minnesota Supercomputer Center, Inc./CRAY Research, Inc.

Suns have traditionally been behind the curve on floating point
price performance.  They may be catching up with the newer processors,
but then SGI and DEC are also raising the mark.

With the R8000 SGI chips being so heavily optimized for FP, the
performance of integer codes suffers significantly.  We use Suns
extensively in molecular biology computing applications because these
codes require more integer and pointer manipulation where the Suns do
well.  The development tools are also better on Suns, for example
Purify is only now announcing support for SGIs.  Much better public
domain software is available for Suns in areas like GUI development
(Tcl/Tk) and database support (exodus, etc.).

Is computational chemistry still driven by high end graphics?  My
impression is that Hollywood has moved well beyond what is needed to
support scientific data display, including molecular graphics.  OpenGL
is going to open up competition for the scientific desktop, particularly 
>from Windows NT/Pentium/Alpha machines.

David States
Institute for Biomedical Computing / Washington University in St. Louis